[Box Backup-commit] COMMIT r3641 - box/trunk/infrastructure/mingw

subversion at boxbackup.org subversion at boxbackup.org
Sat Aug 29 11:01:44 BST 2015


Author: chris
Date: 2015-08-29 10:01:44 +0000 (Sat, 29 Aug 2015)
New Revision: 3641

Added:
   box/trunk/infrastructure/mingw/environment.sh
   box/trunk/infrastructure/mingw/runtest.sh
Modified:
   box/trunk/infrastructure/mingw/configure.sh
Log:
Add a MinGW test runner to version control.


Modified: box/trunk/infrastructure/mingw/configure.sh
===================================================================
--- box/trunk/infrastructure/mingw/configure.sh	2015-08-29 10:01:22 UTC (rev 3640)
+++ box/trunk/infrastructure/mingw/configure.sh	2015-08-29 10:01:44 UTC (rev 3641)
@@ -1,17 +1,7 @@
 #!/bin/sh
 
+source `dirname $0`/environment.sh
 
-case "`uname -m`" in
-x86_64)
-	DEP_PATH=/usr/x86_64-w64-mingw32
-	target=x86_64-w64-mingw32 ;;
-i686)
-	DEP_PATH=/usr/i686-pc-mingw32
-	target=i686-pc-mingw32 ;;
-*)
-	echo "Error: unknown machine type `uname -m`" >&2; exit 1 ;;
-esac
-
 if [ ! -r "$DEP_PATH/lib/libssl.a" ]; then
 	echo "Error: install OpenSSL as instructed by" \
 		"docs/backup/win32_build_on_cygwin_using_mingw.txt" >&2

Added: box/trunk/infrastructure/mingw/environment.sh
===================================================================
--- box/trunk/infrastructure/mingw/environment.sh	                        (rev 0)
+++ box/trunk/infrastructure/mingw/environment.sh	2015-08-29 10:01:44 UTC (rev 3641)
@@ -0,0 +1,11 @@
+case "`uname -m`" in
+x86_64)
+	DEP_PATH=/usr/x86_64-w64-mingw32
+	target=x86_64-w64-mingw32 ;;
+i686)
+	DEP_PATH=/usr/i686-pc-mingw32
+	target=i686-pc-mingw32 ;;
+*)
+	echo "Error: unknown machine type `uname -m`" >&2; exit 1 ;;
+esac
+

Added: box/trunk/infrastructure/mingw/runtest.sh
===================================================================
--- box/trunk/infrastructure/mingw/runtest.sh	                        (rev 0)
+++ box/trunk/infrastructure/mingw/runtest.sh	2015-08-29 10:01:44 UTC (rev 3641)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+source `dirname $0`/environment.sh
+
+export PATH=$DEP_PATH/sys-root/mingw/bin:$PATH
+
+exec `dirname $0`/../../runtest.pl "$@"


Property changes on: box/trunk/infrastructure/mingw/runtest.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property



More information about the Boxbackup-commit mailing list